Documentation Index

Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt

Use this file to discover all available pages before exploring further.

Connect Workspace to Cloud

Prev Next
Post
/api/v1/cloud.connectWorkspace

Connect the workspace to Rocket.Chat Cloud using a registration token. To get a registration token, refer to Registration via Token.

Permission required: manage-cloud.

Changelog

Version Description
8.7.0 Added
Header parameters
X-User-Id
stringRequired

The user ID.

ExampleCkCPNctrgCDfmWLqC
X-Auth-Token
stringRequired

The authentication token.

Example1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE
Body parameters
Example
{
  "token": "5f03461b-9073-41e5-986d-e70f4d6ecbd1"
}
object
token
string Required

The registration token from your Rocket.Chat Cloud account.

Example5f03461b-9073-41e5-986d-e70f4d6ecbd1
Responses
200

OK

Success
{
  "success": true
}
object
success
boolean
400

Bad Request

Invalid Parameter
{
  "success": false,
  "error": "must have required property 'token' [invalid-params]",
  "errorType": "invalid-params"
}
Failed to Connect
{
  "success": false,
  "error": "Failed to connect the workspace with Rocket.Chat Cloud"
}
object
success
boolean
error
string
errorType
string
401

Unauthorized

Authorization Error
{
  "status": "error",
  "message": "You must be logged in to do this."
}
object
status
string
message
string
403

Forbidden

Permission Error
{
  "success": false,
  "error": "User does not have the permissions required for this action [error-unauthorized]"
}
object
success
boolean
error
string